Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/8074/?format=api
{ "ob_id": 8074, "uuid": "514e5dfbef651f336862ae5ca0424e86", "title": "AATSR: Sea Surface Temperature Meteo Product (ATS_MET_2P), v2.1", "abstract": "Advanced Along-Track Scanning Radiometer (AATSR) mission was funded jointly by the UK Department of Energy and Climate Change External Link (DECC) and the Australian Department of Innovation, Industry, Science and Research External Link (DIISR).\r\n\r\nThis dataset contains the Advanced Along-Track Scanning Radiometer on ESA ENVISAT satellite (AATSR) Spatially Averaged Sea Surface Temperature Product for Meteo Users. These data are the Level 2 product designed for the use by meteorological offices derived from Level 2 AST product. \r\n\r\nThe product contains only the sea surface temperature with spatial resolution of 10 arc minutes. It also contains Average Brightness Temperature (ABT) fields, which includes brightness temperature and TOA sea record on the same spatial resolution. Like the AST product this product is derived from, all areas contains data, where the land pixels have empty data, and the coasts containing averages derived only from the sea pixels in the cell. The third reprocessing was done to implement the updated algorithms, processors (the IPF Processor 6.05 from the IPF Processor 6.01), and auxiliary files.", "keywords": "AATSR, Meteo Product", "publicationState": "published", "dataPublishedTime": "2014-07-03T14:38:57", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/8075/?format=api", "dataPath": "/neodc/aatsr_multimission/aatsr-v2.1/data/ats_met_2p", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 446600759159, "numberOfFiles": 100214, "fileFormat": "Data are netCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2310/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "The data were acquired by the European Space Agency's (ESA) Envisat satellite, and the NERC Earth Observation Data Centre (NEODC) mirrors the data for UK users.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5244/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/19899/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/8059/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/19727/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/43180/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32890/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32892/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32893/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32894/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32896/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42069/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42070/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32891/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/8079/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2521/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }